---
layout: default
title: Science Journal
---

## Science Journal

[Science Journal](http://g.co/sciencejournalapp) allows you to gather data from the world around you. It uses sensors to measure your environment, like light and sound, so you can graph your data, record your experiments, and organize your questions and ideas. It's the lab notebook you always have with you.

## What can I do with it?

We have partnered with educational institutions like the [Exploratorium](http://exploratorium.edu) and
the [Tech Museum of San Jose](http://thetech.org) to create a set of [high quality learning activities](https://makingscience.withgoogle.com/science-journal/activities) that you can do with
Science Journal on your phone and common household items. Some of them use external sensors connected to Arduinos
running our open source Science Journal firmware.

## What external sensors work with Science Journal?

Science Journal has an open API which allows other Android apps to advertise sensors and publish data to the app.
Several companies have used this API to work with external sensors.

* [Vernier Technology](http://www.vernier.com/products/software/science-journal/)
* [PocketLab](http://thepocketlab.com)
* [Attys](http://www.attys.tech/)

If you are use this API in your own app, please let us know so we can link to you here!

Science Journal also works out of the box with our open source Science Journal sensor firmware. It runs on 2 models of BLE 
equipped Arduinos.

* [Arduino 101 from Intel](https://software.intel.com/en-us/iot/hardware/curie/dev-kit)
* [BLEND board from RedBear](http://redbearlab.com/blend/)

## Where is the code?

* <https://github.com/google/science-journal> - Android app code
* <https://github.com/google/science-journal-arduino> - Arduino sensor firmware

## Have a question?

* If your question is about Science Journal in general, please post on our [product forum](productforums.google.com/forum/#!forum/sciencejournal)
* If you have specific code questions, feel free to use the GitHub issue tracker for our project.
